package com.dev.swms.server.model.rules;

import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class CompanyTransRuleDetail extends Entity {

	private CompanyTransRule companyTransRule;
	
	private String itemCode1;
	
	private String itemCode2;

	public int hashCode() {
		return new HashCodeBuilder().append(companyTransRule).append(itemCode1)
				.toHashCode();
	}

	public boolean equals(final Object other) {
		if (!(other instanceof CompanyTransRuleDetail))
			return false;
		CompanyTransRuleDetail castOther = (CompanyTransRuleDetail) other;
		return new EqualsBuilder().append(companyTransRule,
				castOther.companyTransRule).append(itemCode1,
				castOther.itemCode1).isEquals();
	}

	public CompanyTransRule getCompanyTransRule() {
		return companyTransRule;
	}

	public void setCompanyTransRule(CompanyTransRule companyTransRule) {
		this.companyTransRule = companyTransRule;
	}

	public String getItemCode1() {
		return itemCode1;
	}

	public void setItemCode1(String itemCode1) {
		this.itemCode1 = itemCode1;
	}

	public String getItemCode2() {
		return itemCode2;
	}

	public void setItemCode2(String itemCode2) {
		this.itemCode2 = itemCode2;
	}
	
	
}
